# Organization API: Organizations & Members: Staff

> The 15 Organization API operations for staff.

Source: https://www.coritan.com/docs/api/reference/organizations/organizations-members/staff/

Part of [Organizations & Members](/docs/api/reference/organizations/organizations-members/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/staff/community/forum/members`](#op-get-api-v1-orgs-org-slug-staff-community-forum-members) | Staff forum members |
| POST | [`/api/v1/orgs/{org_slug}/staff/community/forum/members/{handle}/role`](#op-post-api-v1-orgs-org-slug-staff-community-forum-members-handle-role) | Staff set forum role |
| POST | [`/api/v1/orgs/{org_slug}/staff/community/forum/members/{handle}/suspend`](#op-post-api-v1-orgs-org-slug-staff-community-forum-members-handle-suspend) | Staff suspend forum member |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/servers/{uuid}/settings`](#op-patch-api-v1-orgs-org-slug-staff-servers-uuid-settings) | Staff patch settings |
| GET | [`/api/v1/orgs/{org_slug}/staff/settings`](#op-get-api-v1-orgs-org-slug-staff-settings) | Staff get settings |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/settings`](#op-patch-api-v1-orgs-org-slug-staff-settings) | Staff patch settings |
| GET | [`/api/v1/orgs/{org_slug}/staff/settings/email-design`](#op-get-api-v1-orgs-org-slug-staff-settings-email-design) | Staff get email design |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/settings/email-design`](#op-patch-api-v1-orgs-org-slug-staff-settings-email-design) | Change how the brand's email looks |
| POST | [`/api/v1/orgs/{org_slug}/staff/settings/email-design/preview`](#op-post-api-v1-orgs-org-slug-staff-settings-email-design-preview) | Staff preview email design |
| POST | [`/api/v1/orgs/{org_slug}/staff/settings/email-design/test`](#op-post-api-v1-orgs-org-slug-staff-settings-email-design-test) | Staff test email design |
| GET | [`/api/v1/orgs/{org_slug}/staff/settings/error-page`](#op-get-api-v1-orgs-org-slug-staff-settings-error-page) | Staff get error page |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/settings/error-page`](#op-patch-api-v1-orgs-org-slug-staff-settings-error-page) | Reword the page, pick its level of detail, switch it on or off |
| POST | [`/api/v1/orgs/{org_slug}/staff/settings/error-page/preview`](#op-post-api-v1-orgs-org-slug-staff-settings-error-page-preview) | The page as a visitor would get it, for a block that is not saved yet |
| GET | [`/api/v1/orgs/{org_slug}/staff/settings/support-desk`](#op-get-api-v1-orgs-org-slug-staff-settings-support-desk) | Staff get support desk |
| PATCH | [`/api/v1/orgs/{org_slug}/staff/settings/support-desk`](#op-patch-api-v1-orgs-org-slug-staff-settings-support-desk) | Staff patch support desk |

### Staff forum members {#op-get-api-v1-orgs-org-slug-staff-community-forum-members}

`GET /api/v1/orgs/{org_slug}/staff/community/forum/members`

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `org_slug` | path | string | yes |  |
| `q` | query | string or null | no |  |
| `only` | query | string | no | Default: `all`. |
| `page` | query | integer | no | Default: `1`. |
| `page_size` | query | integer | no | Default: `50`. |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff set forum role {#op-post-api-v1-orgs-org-slug-staff-community-forum-members-handle-role}

`POST /api/v1/orgs/{org_slug}/staff/community/forum/members/{handle}/role`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `handle` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `role` | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff suspend forum member {#op-post-api-v1-orgs-org-slug-staff-community-forum-members-handle-suspend}

`POST /api/v1/orgs/{org_slug}/staff/community/forum/members/{handle}/suspend`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `handle` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `suspend` | boolean | no |
| `reason` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff patch settings {#op-patch-api-v1-orgs-org-slug-staff-servers-uuid-settings}

`PATCH /api/v1/orgs/{org_slug}/staff/servers/{uuid}/settings`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `name` | string or null | no |
| `world_optimization_enabled` | boolean or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff get settings {#op-get-api-v1-orgs-org-slug-staff-settings}

`GET /api/v1/orgs/{org_slug}/staff/settings`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff patch settings {#op-patch-api-v1-orgs-org-slug-staff-settings}

`PATCH /api/v1/orgs/{org_slug}/staff/settings`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `company_name` | string or null | no |
| `legal_name` | string or null | no |
| `registration_number` | string or null | no |
| `tax_id` | string or null | no |
| `registered_address` | string or null | no |
| `country_code` | string or null | no |
| `support_email` | string or null | no |
| `billing_email` | string or null | no |
| `terms_url` | string or null | no |
| `privacy_url` | string or null | no |
| `logo_url` | string or null | no |
| `favicon_url` | string or null | no |
| `primary_color` | string or null | no |
| `secondary_color` | string or null | no |
| `invoice_prefix` | string or null | no |
| `invoice_footer` | string or null | no |
| `default_currency` | string or null | no |
| `tax_rate` | number or string or null | no |
| `payment_terms_days` | integer or null | no |
| `timezone` | string or null | no |
| `features` | object or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff get email design {#op-get-api-v1-orgs-org-slug-staff-settings-email-design}

`GET /api/v1/orgs/{org_slug}/staff/settings/email-design`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Change how the brand's email looks {#op-patch-api-v1-orgs-org-slug-staff-settings-email-design}

`PATCH /api/v1/orgs/{org_slug}/staff/settings/email-design`

Change how the brand's email looks. A field sent as ``null`` goes back
to the theme's value (the accent and the logo: the brand's own).

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `theme` | string or null | no |
| `accent_color` | string or null | no |
| `background_color` | string or null | no |
| `surface_color` | string or null | no |
| `text_color` | string or null | no |
| `radius` | string or null | no |
| `font` | string or null | no |
| `header` | string or null | no |
| `logo_url` | string or null | no |
| `footer_text` | string or null | no |
| `links` | array of EmailLink or null | no |
| `links[].label` | string | yes |
| `links[].url` | string | yes |
| `show_address` | boolean or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff preview email design {#op-post-api-v1-orgs-org-slug-staff-settings-email-design-preview}

`POST /api/v1/orgs/{org_slug}/staff/settings/email-design/preview`

A sample email as the brand's customers would get it, with the design
being edited: its own wording where it edited the template.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `email_design` | object or null | no |
| `sample` | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff test email design {#op-post-api-v1-orgs-org-slug-staff-settings-email-design-test}

`POST /api/v1/orgs/{org_slug}/staff/settings/email-design/test`

Send the sample to the staff member's own address, with the design
being edited, so it can be checked in a real mail client.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `email_design` | object or null | no |
| `sample` | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff get error page {#op-get-api-v1-orgs-org-slug-staff-settings-error-page}

`GET /api/v1/orgs/{org_slug}/staff/settings/error-page`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Reword the page, pick its level of detail, switch it on or off {#op-patch-api-v1-orgs-org-slug-staff-settings-error-page}

`PATCH /api/v1/orgs/{org_slug}/staff/settings/error-page`

Reword the page, pick its level of detail, switch it on or off.

Fields sent as ``null`` go back to the brand default. The Coritan label,
footer and headers are not fields, so they cannot be switched off here.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `enabled` | boolean or null | no |
| `heading` | string or null | no |
| `message` | string or null | no |
| `detail` | string or null | no |
| `logo_url` | string or null | no |
| `accent_color` | string or null | no |
| `support_url` | string or null | no |
| `support_label` | string or null | no |
| `updates_url` | string or null | no |
| `updates_label` | string or null | no |
| `theme` | string or null | no |
| `background_color` | string or null | no |
| `surface_color` | string or null | no |
| `text_color` | string or null | no |
| `radius` | string or null | no |
| `font` | string or null | no |
| `status_style` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### The page as a visitor would get it, for a block that is not saved yet {#op-post-api-v1-orgs-org-slug-staff-settings-error-page-preview}

`POST /api/v1/orgs/{org_slug}/staff/settings/error-page/preview`

The page as a visitor would get it, for a block that is not saved yet.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `error_page` | object or null | no |
| `status` | integer | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff get support desk {#op-get-api-v1-orgs-org-slug-staff-settings-support-desk}

`GET /api/v1/orgs/{org_slug}/staff/settings/support-desk`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Staff patch support desk {#op-patch-api-v1-orgs-org-slug-staff-settings-support-desk}

`PATCH /api/v1/orgs/{org_slug}/staff/settings/support-desk`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `tier1_claim_limit` | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
